axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ajith Ranabahu" <ajith.ranab...@gmail.com>
Subject Re: [Axis2] endpoint test, backward compatibilty and WSDL2Java
Date Tue, 16 May 2006 13:33:47 GMT
Hi,
1. Axis2 services are not compatible with older versions. So you
cannot deploy services made for axis1x with axis2. we are thinking of
providing a converter but not in the foreseeable future :(

2. for the WSDL2Java batch file to execute you have to have it in the
path (and ofcourse the   AXIS2_HOME need to be set)

Ajith

On 5/16/06, Mérième N <merieme_n@yahoo.fr> wrote:
>
>
> Hi,
>
> I want to test a SOAP endpoint ot the Version like in Axis 1.3.
>
> I type http://localhost:8080/axis2/services/version
> or
> http://localhost:8080/axis2/services/version?method=getVersion
>
> the page displayed the following message:
> Requested resource not found!
>
> The link in order to generate the WSDL works.
>
> However I follow step by step the guidelines in the installation guide. All
> the other pages are displayed as expected.
>
> An another question, I developed a Web Service under Axis 1.3. I wanted to
> upload the jar files via the administaton site. This service is displayed as
> a faulty service. In general, can Axis2 deployed a web service developed
> under a previous version?
>
> Can it have a backward compatibility?
>
> I try to enforce the WSDL2Java command line advised in the user guide
> WSDL2Java -uri ..\samples\wsdl\Axis2SampleDocLit.wsdl -ss
> -sd -d xmlbeans
> -o ..\samples -p org.apache.axis2.userguide
>
> This error is displayed.
> 'WSDL2Java' is not recognized as an internal or external command,
> operable program or batch file.
>
> Do I have to call this tool in another way ?
>
> Could you help me to fix that.
>
> Thanking you in advance.
> Merieme
>


-- 
Ajith Ranabahu

Mime
View raw message